Package net.sourceforge.jiu.apps

# Interface StringIndexConstants

All Known Implementing Classes:
  `Strings`, `SystemInfo`

public interface StringIndexConstants
Interface of integer index values to be used with `Strings`.

Author:
  Marco Schmidt

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`ABOUT`
`static final int`
`ADJUST`
`static final int`
`ADJUST_BRIGHTNESS`
`static final int`
`ADJUST_CONTRAST`
`static final int`
`ADJUST_GAMMA`
`static final int`
`ADJUST_HUE_SATURATION_AND_VALUE`
`static final int`
`ALGORITHMS_NONE`
`static final int`
`APPLY_MAXIMUM_FILTER`
`static final int`
`APPLY_MEAN_FILTER`
`static final int`
`APPLY_MEDIAN_FILTER`
`static final int`
`APPLY_MINIMUM_FILTER`
`static final int`
`APPLY_OIL_FILTER`
`static final int`
`BILEVEL`
`static final int`
`BITS_PER_PIXEL`
`static final int`
`BLUR`
`static final int`
`BOTTOM_ROW`
`static final int`
`BRIGHTNESS_MENU_ITEM`
`static final int`
`BURKES_ERROR_DIFFUSION`
`static final int`
`CANCEL`
`static final int`
`CHOOSE_DITHERING_METHOD`
`static final int`
`CHOOSE_PALETTE_TYPE`
`static final int`
`CLOSE`
`static final int`
`CLOSE_FILE`
`static final int`
`COLOR`
`static final int`
`COLOR_IMAGE_QUANTIZATION`
`static final int`
`CONTOUR_REMOVAL`
`static final int`
`CONTOUR_REMOVAL_NUM_PASSES`
`static final int`
`CONTOUR_REMOVAL_TAU`
`static final int`
`CONTRAST`
`static final int`
`CONTRAST_MENU_ITEM`
`static final int`
`CONVERT_TO_GRAYSCALE`
`static final int`
`CONVERT_TO_MINIMUM_COLOR_TYPE_MENU_ITEM`
`static final int`
`CORRELATION`
`static final int`
`COULD_NOT_CREATE_HISTOGRAM`
`static final int`
`COUNT_COLORS_USED`
`static final int`
`CPU_ENDIANNESS`
`static final int`
`CPU_ISALIST`
`static final int`
`CROP_IMAGE`
`static final int`
`CROP_MENU_ITEM`
`static final int`
`DISK_SPACE`
`static final int`
`DISSIMILARITY`
`static final int`
`DITHERING_METHOD`
`static final int`
`DITHERING_NONE`
`static final int`
`DO_YOU_REALLY_WANT_TO_CLOSE_WITHOUT_SAVING`
`static final int`
`DO_YOU_REALLY_WANT_TO_QUIT_WITHOUT_SAVING`
`static final int`
`EDGE_DETECTION`
`static final int`
`EDIT`
`static final int`
`EDIT_REDO`
`static final int`
`EDIT_UNDO`
`static final int`
`EMBOSS`
`static final int`
`ENERGY`
`static final int`
`ENTER_BRIGHTNESS_VALUE`
`static final int`
`ENTER_CONTRAST_VALUE`
`static final int`
`ENTER_GAMMA_VALUE`
`static final int`
`ENTER_THRESHOLD_VALUE`
`static final int`
`ENTER_WINDOW_SIZE`
`static final int`
`ENTROPY`
`static final int`
`EQUALIZE_HISTOGRAM_MENU_ITEM`
`static final int`
`ERROR_DIFFUSION`
`static final int`
`ERROR_LOADING_IMAGE`
`static final int`
`ERROR_MESSAGE`
`static final int`
`ERROR_NO_MORE_THAN_8_BITS`
`static final int`
`EXIT`
`static final int`
`FEEDBACK`
`static final int`
`FILE`
`static final int`
`FILE_FORMAT_UNKNOWN`
`static final int`
`FILTERS`
`static final int`
`FLIP`
`static final int`
`FLOYD_STEINBERG_ERROR_DIFFUSION`
`static final int`
`FREE_MEMORY`
`static final int`
`GAMMA_MENU_ITEM`
`static final int`
`GIF`
`static final int`
`GRAYSCALE`
`static final int`
`HELP`
`static final int`
`HISTOGRAM`
`static final int`
`HOMEPAGE`
`static final int`
`HOMOGENEITY`
`static final int`
`HORIZONTAL_PREWITT`
`static final int`
`HORIZONTAL_SOBEL`
`static final int`
`HUE`
`static final int`
`HUE_SATURATION_VALUE_MENU_ITEM`
`static final int`
`IMAGE_1`
`static final int`
`IMAGE_TYPE`
`static final int`
`IMAGE_TYPE_UNKNOWN`
`static final int`
`INVERT`
`static final int`
`JARVIS_JUDICE_NINKE_ERROR_DIFFUSION`
`static final int`
`LEFT_COLUMN`
`static final int`
`LITHOGRAPH`
`static final int`
`LOAD_IMAGE_FILE`
`static final int`
`LOAD_PALETTE`
`static final int`
`MAINTAIN_ASPECT_RATIO`
`static final int`
`MAP_TO_ARBITRARY_PALETTE`
`static final int`
`MAP_TO_ARBITRARY_PALETTE_MENU_ITEM`
`static final int`
`MAXIMUM_COLOR_DISTANCE`
`static final int`
`MAXIMUM_FILTER_MENU_ITEM`
`static final int`
`MEAN_FILTER_MENU_ITEM`
`static final int`
`MEDIAN_CUT`
`static final int`
`MEDIAN_CUT_COLOR_QUANTIZATION`
`static final int`
`MEDIAN_CUT_CONTOUR_REMOVAL`
`static final int`
`MEDIAN_FILTER_MENU_ITEM`
`static final int`
`MEMORY`
`static final int`
`METHOD`
`static final int`
`METHOD_REPR_COLOR`
`static final int`
`METHOD_REPR_COLOR_AVERAGE`
`static final int`
`METHOD_REPR_COLOR_MEDIAN`
`static final int`
`METHOD_REPR_COLOR_WEIGHTED_AVERAGE`
`static final int`
`MINIMUM_FILTER_MENU_ITEM`
`static final int`
`MIRROR`
`static final int`
`NEW_HEIGHT`
`static final int`
`NEW_WIDTH`
`static final int`
`NO`
`static final int`
`NORMALIZE_HISTOGRAM_MENU_ITEM`
`static final int`
`NUM_COLORS`
`static final int`
`NUMBER_OF_BITS`
`static final int`
`NUMBER_OF_BITS_BLUE`
`static final int`
`NUMBER_OF_BITS_GREEN`
`static final int`
`NUMBER_OF_BITS_RED`
`static final int`
`NUMBER_OF_COLORS_SMALL_ENOUGH`
`static final int`
`NUMBER_OF_SHADES_OF_GRAY`
`static final int`
`NUMBER_OF_USED_COLORS`
`static final int`
`OCTREE_COLOR_QUANTIZATION`
`static final int`
`OCTREE_COLOR_QUANTIZATION_MENU_ITEM`
`static final int`
`OIL_FILTER_MENU_ITEM`
`static final int`
`OK`
`static final int`
`OPEN`
`static final int`
`ORDERED_DITHERING`
`static final int`
`OUTPUT_COLOR_TYPE`
`static final int`
`OUTPUT_COLOR_TYPE_PALETTED`
`static final int`
`OUTPUT_COLOR_TYPE_RGB`
`static final int`
`OUTPUT_QUALITY_IMPROVEMENT_ALGORITHM`
`static final int`
`PALETTE_FROM_FILE`
`static final int`
`PALETTE_MENU_ITEM`
`static final int`
`PALETTE_PALM_16_COLORS`
`static final int`
`PALETTE_PALM_16_GRAY`
`static final int`
`PALETTE_PALM_256_COLORS`
`static final int`
`PALETTE_PALM_4_GRAY`
`static final int`
`PALETTE_SAVE_AS_MENU_ITEM`
`static final int`
`PALETTED`
`static final int`
`PALM`
`static final int`
`PIXELS`
`static final int`
`PORTABLE_BITMAP`
`static final int`
`PORTABLE_GRAYMAP`
`static final int`
`PORTABLE_NETWORK_GRAPHICS`
`static final int`
`PORTABLE_PIXMAP`
`static final int`
`PROMOTE`
`static final int`
`PROMOTE_TO_GRAY16`
`static final int`
`PROMOTE_TO_GRAY8`
`static final int`
`PROMOTE_TO_PALETTED`
`static final int`
`PROMOTE_TO_RGB`
`static final int`
`PROMOTE_TO_RGB24`
`static final int`
`PROMOTE_TO_RGB48`
`static final int`
`PROPERTY_JAVA_CLASS_PATH`
`static final int`
`PROPERTY_JAVA_CLASS_VERSION`
`static final int`
`PROPERTY_JAVA_HOME`
`static final int`
`PROPERTY_JAVA_SPECIFICATION_NAME`
`static final int`
`PROPERTY_JAVA_SPECIFICATION_VENDOR`
`static final int`
`PROPERTY_JAVA_SPECIFICATION_VERSION`
`static final int`
`PROPERTY_JAVA_VENDOR`
`static final int`
`PROPERTY_JAVA_VENDOR_URL`
`static final int`
`PROPERTY_JAVA_VERSION`
`static final int`
`PROPERTY_JAVA_VM_NAME`
`static final int`
`PROPERTY_JAVA_VM_SPECIFICATION_NAME`
`static final int`
`PROPERTY_JAVA_VM_SPECIFICATION_VENDOR`
`static final int`
`PROPERTY_JAVA_VM_SPECIFICATION_VERSION`
`static final int`
`PROPERTY_JAVA_VM_VENDOR`
`static final int`
`PROPERTY_JAVA_VM_VERSION`
`static final int`
`PROPERTY_OS_ARCH`
`static final int`
`PROPERTY_OS_NAME`
`static final int`
`PROPERTY_OS_VERSION`
`static final int`
`PSYCHEDELIC_DISTILLATION`
`static final int`
`QUIT_PROGRAM`
`static final int`
`REDUCE`
`static final int`
`REDUCE_NUMBER_OF_SHADES_OF_GRAY`
`static final int`
`REDUCE_NUMBER_OF_SHADES_OF_GRAY_MENU_ITEM`
`static final int`
`REDUCE_TO_BILEVEL_ORDERED_DITHERING`
`static final int`
`REDUCE_TO_BILEVEL_THRESHOLD`
`static final int`
`REDUCE_TO_BILEVEL_THRESHOLD_MENU_ITEM`
`static final int`
`RGB_TRUECOLOR`
`static final int`
`RIGHT_COLUMN`
`static final int`
`ROTATE_180`
`static final int`
`ROTATE_90_LEFT`
`static final int`
`ROTATE_90_RIGHT`
`static final int`
`ROTATE_OTHER`
`static final int`
`SATURATION`
`static final int`
`SAVE_AS`
`static final int`
`SAVE_COOCCURRENCE_FREQUENCY_MATRIX`
`static final int`
`SAVE_COOCCURRENCE_FREQUENCY_MATRIX_MENU_ITEM`
`static final int`
`SAVE_COOCCURRENCE_MATRIX`
`static final int`
`SAVE_COOCCURRENCE_MATRIX_MENU_ITEM`
`static final int`
`SAVE_HISTOGRAM_AS`
`static final int`
`SAVE_HISTOGRAM_AS_MENU_ITEM`
`static final int`
`SAVE_IMAGE_AS`
`static final int`
`SAVE_PALETTE`
`static final int`
`SAVEAS`
`static final int`
`SCALE`
`static final int`
`SCALE_IMAGE`
`static final int`
`SCREEN_RESOLUTION`
`static final int`
`SET_HUE`
`static final int`
`SHARPEN`
`static final int`
`SHEAR_ENTER_ANGLE`
`static final int`
`SHEAR_IMAGE`
`static final int`
`SHEAR_MENU_ITEM`
`static final int`
`SIERRA_ERROR_DIFFUSION`
`static final int`
`STEVENSON_ARCE_ERROR_DIFFUSION`
`static final int`
`STUCKI_ERROR_DIFFUSION`
`static final int`
`SUN_RASTER`
`static final int`
`SYSTEM`
`static final int`
`SYSTEM_INFORMATION`
`static final int`
`TEXTURE_PROPERTIES`
`static final int`
`TEXTURE_PROPERTIES_MENU_ITEM`
`static final int`
`TOP_ROW`
`static final int`
`TOTAL_MEMORY`
`static final int`
`TOTAL_NUMBER_OF_BITS_AND_COLORS`
`static final int`
`TRANSFORMATIONS`
`static final int`
`UNIFORM_PALETTE_COLOR_QUANTIZATION`
`static final int`
`UNIFORM_PALETTE_COLOR_QUANTIZATION_MENU_ITEM`
`static final int`
`USED_MEMORY`
`static final int`
`VALUE`
`static final int`
`VERTICAL_PREWITT`
`static final int`
`VERTICAL_SOBEL`
`static final int`
`VIEW`
`static final int`
`VIEW_INTERPOLATIONTYPE`
`static final int`
`VIEW_INTERPOLATIONTYPE_BICUBIC`
`static final int`
`VIEW_INTERPOLATIONTYPE_BILINEAR`
`static final int`
`VIEW_INTERPOLATIONTYPE_NEARESTNEIGHBOR`
`static final int`
`VIEW_SETORIGINALSIZE`
`static final int`
`VIEW_ZOOMIN`
`static final int`
`VIEW_ZOOMOUT`
`static final int`
`WEBSAFE_PALETTE`
`static final int`
`WINDOW_HEIGHT`
`static final int`
`WINDOW_WIDTH`
`static final int`
`WINDOWS_BITMAP`
`static final int`
`YES`

## Field Details

### ERROR_LOADING_IMAGE

static final int ERROR_LOADING_IMAGE

See Also:
  - Constant Field Values

### FILE_FORMAT_UNKNOWN

static final int FILE_FORMAT_UNKNOWN

See Also:
  - Constant Field Values

### LOAD_IMAGE_FILE

static final int LOAD_IMAGE_FILE

See Also:
  - Constant Field Values

### SCREEN_RESOLUTION

static final int SCREEN_RESOLUTION

See Also:
  - Constant Field Values

### COULD_NOT_CREATE_HISTOGRAM

static final int COULD_NOT_CREATE_HISTOGRAM

See Also:
  - Constant Field Values

### NUMBER_OF_USED_COLORS

static final int NUMBER_OF_USED_COLORS

See Also:
  - Constant Field Values

### COUNT_COLORS_USED

static final int COUNT_COLORS_USED

See Also:
  - Constant Field Values

### CLOSE

static final int CLOSE

See Also:
  - Constant Field Values

### HELP

static final int HELP

See Also:
  - Constant Field Values

### ABOUT

static final int ABOUT

See Also:
  - Constant Field Values

### SYSTEM

static final int SYSTEM

See Also:
  - Constant Field Values

### SYSTEM_INFORMATION

static final int SYSTEM_INFORMATION

See Also:
  - Constant Field Values

### COLOR

static final int COLOR

See Also:
  - Constant Field Values

### INVERT

static final int INVERT

See Also:
  - Constant Field Values

### CONVERT_TO_GRAYSCALE

static final int CONVERT_TO_GRAYSCALE

See Also:
  - Constant Field Values

### FILE

static final int FILE

See Also:
  - Constant Field Values

### OPEN

static final int OPEN

See Also:
  - Constant Field Values

### SAVEAS

static final int SAVEAS

See Also:
  - Constant Field Values

### EXIT

static final int EXIT

See Also:
  - Constant Field Values

### PROPERTY_JAVA_VERSION

static final int PROPERTY_JAVA_VERSION

See Also:
  - Constant Field Values

### PROPERTY_JAVA_VENDOR

static final int PROPERTY_JAVA_VENDOR

See Also:
  - Constant Field Values

### PROPERTY_JAVA_VENDOR_URL

static final int PROPERTY_JAVA_VENDOR_URL

See Also:
  - Constant Field Values

### PROPERTY_JAVA_HOME

static final int PROPERTY_JAVA_HOME

See Also:
  - Constant Field Values

### PROPERTY_JAVA_VM_SPECIFICATION_VERSION

static final int PROPERTY_JAVA_VM_SPECIFICATION_VERSION

See Also:
  - Constant Field Values

### PROPERTY_JAVA_VM_SPECIFICATION_VENDOR

static final int PROPERTY_JAVA_VM_SPECIFICATION_VENDOR

See Also:
  - Constant Field Values

### PROPERTY_JAVA_VM_SPECIFICATION_NAME

static final int PROPERTY_JAVA_VM_SPECIFICATION_NAME

See Also:
  - Constant Field Values

### PROPERTY_JAVA_VM_VERSION

static final int PROPERTY_JAVA_VM_VERSION

See Also:
  - Constant Field Values

### PROPERTY_JAVA_VM_VENDOR

static final int PROPERTY_JAVA_VM_VENDOR

See Also:
  - Constant Field Values

### PROPERTY_JAVA_VM_NAME

static final int PROPERTY_JAVA_VM_NAME

See Also:
  - Constant Field Values

### PROPERTY_JAVA_SPECIFICATION_VERSION

static final int PROPERTY_JAVA_SPECIFICATION_VERSION

See Also:
  - Constant Field Values

### PROPERTY_JAVA_SPECIFICATION_VENDOR

static final int PROPERTY_JAVA_SPECIFICATION_VENDOR

See Also:
  - Constant Field Values

### PROPERTY_JAVA_SPECIFICATION_NAME

static final int PROPERTY_JAVA_SPECIFICATION_NAME

See Also:
  - Constant Field Values

### PROPERTY_JAVA_CLASS_VERSION

static final int PROPERTY_JAVA_CLASS_VERSION

See Also:
  - Constant Field Values

### PROPERTY_JAVA_CLASS_PATH

static final int PROPERTY_JAVA_CLASS_PATH

See Also:
  - Constant Field Values

### PROPERTY_OS_NAME

static final int PROPERTY_OS_NAME

See Also:
  - Constant Field Values

### PROPERTY_OS_ARCH

static final int PROPERTY_OS_ARCH

See Also:
  - Constant Field Values

### PROPERTY_OS_VERSION

static final int PROPERTY_OS_VERSION

See Also:
  - Constant Field Values

### HOMEPAGE

static final int HOMEPAGE

See Also:
  - Constant Field Values

### FEEDBACK

static final int FEEDBACK

See Also:
  - Constant Field Values

### MEDIAN_CUT

static final int MEDIAN_CUT

See Also:
  - Constant Field Values

### ERROR_MESSAGE

static final int ERROR_MESSAGE

See Also:
  - Constant Field Values

### NUMBER_OF_COLORS_SMALL_ENOUGH

static final int NUMBER_OF_COLORS_SMALL_ENOUGH

See Also:
  - Constant Field Values

### CPU_ENDIANNESS

static final int CPU_ENDIANNESS

See Also:
  - Constant Field Values

### CPU_ISALIST

static final int CPU_ISALIST

See Also:
  - Constant Field Values

### FREE_MEMORY

static final int FREE_MEMORY

See Also:
  - Constant Field Values

### USED_MEMORY

static final int USED_MEMORY

See Also:
  - Constant Field Values

### TOTAL_MEMORY

static final int TOTAL_MEMORY

See Also:
  - Constant Field Values

### SAVE_AS

static final int SAVE_AS

See Also:
  - Constant Field Values

### TRANSFORMATIONS

static final int TRANSFORMATIONS

See Also:
  - Constant Field Values

### FLIP

static final int FLIP

See Also:
  - Constant Field Values

### MIRROR

static final int MIRROR

See Also:
  - Constant Field Values

### MEDIAN_CUT_CONTOUR_REMOVAL

static final int MEDIAN_CUT_CONTOUR_REMOVAL

See Also:
  - Constant Field Values

### PROMOTE_TO_RGB

static final int PROMOTE_TO_RGB

See Also:
  - Constant Field Values

### REDUCE_TO_BILEVEL_THRESHOLD_MENU_ITEM

static final int REDUCE_TO_BILEVEL_THRESHOLD_MENU_ITEM

See Also:
  - Constant Field Values

### REDUCE_TO_BILEVEL_ORDERED_DITHERING

static final int REDUCE_TO_BILEVEL_ORDERED_DITHERING

See Also:
  - Constant Field Values

### ROTATE_90_LEFT

static final int ROTATE_90_LEFT

See Also:
  - Constant Field Values

### ROTATE_90_RIGHT

static final int ROTATE_90_RIGHT

See Also:
  - Constant Field Values

### ROTATE_180

static final int ROTATE_180

See Also:
  - Constant Field Values

### ROTATE_OTHER

static final int ROTATE_OTHER

See Also:
  - Constant Field Values

### SCALE

static final int SCALE

See Also:
  - Constant Field Values

### SCALE_IMAGE

static final int SCALE_IMAGE

See Also:
  - Constant Field Values

### NEW_WIDTH

static final int NEW_WIDTH

See Also:
  - Constant Field Values

### NEW_HEIGHT

static final int NEW_HEIGHT

See Also:
  - Constant Field Values

### MAINTAIN_ASPECT_RATIO

static final int MAINTAIN_ASPECT_RATIO

See Also:
  - Constant Field Values

### OK

static final int OK

See Also:
  - Constant Field Values

### CANCEL

static final int CANCEL

See Also:
  - Constant Field Values

### NUM_COLORS

static final int NUM_COLORS

See Also:
  - Constant Field Values

### MEDIAN_CUT_COLOR_QUANTIZATION

static final int MEDIAN_CUT_COLOR_QUANTIZATION

See Also:
  - Constant Field Values

### OUTPUT_COLOR_TYPE

static final int OUTPUT_COLOR_TYPE

See Also:
  - Constant Field Values

### METHOD_REPR_COLOR_AVERAGE

static final int METHOD_REPR_COLOR_AVERAGE

See Also:
  - Constant Field Values

### METHOD_REPR_COLOR_WEIGHTED_AVERAGE

static final int METHOD_REPR_COLOR_WEIGHTED_AVERAGE

See Also:
  - Constant Field Values

### METHOD_REPR_COLOR_MEDIAN

static final int METHOD_REPR_COLOR_MEDIAN

See Also:
  - Constant Field Values

### OUTPUT_COLOR_TYPE_PALETTED

static final int OUTPUT_COLOR_TYPE_PALETTED

See Also:
  - Constant Field Values

### OUTPUT_COLOR_TYPE_RGB

static final int OUTPUT_COLOR_TYPE_RGB

See Also:
  - Constant Field Values

### METHOD_REPR_COLOR

static final int METHOD_REPR_COLOR

See Also:
  - Constant Field Values

### CONTOUR_REMOVAL

static final int CONTOUR_REMOVAL

See Also:
  - Constant Field Values

### METHOD

static final int METHOD

See Also:
  - Constant Field Values

### FILTERS

static final int FILTERS

See Also:
  - Constant Field Values

### SHARPEN

static final int SHARPEN

See Also:
  - Constant Field Values

### BLUR

static final int BLUR

See Also:
  - Constant Field Values

### EMBOSS

static final int EMBOSS

See Also:
  - Constant Field Values

### PSYCHEDELIC_DISTILLATION

static final int PSYCHEDELIC_DISTILLATION

See Also:
  - Constant Field Values

### LITHOGRAPH

static final int LITHOGRAPH

See Also:
  - Constant Field Values

### MAXIMUM_COLOR_DISTANCE

static final int MAXIMUM_COLOR_DISTANCE

See Also:
  - Constant Field Values

### PORTABLE_BITMAP

static final int PORTABLE_BITMAP

See Also:
  - Constant Field Values

### PORTABLE_GRAYMAP

static final int PORTABLE_GRAYMAP

See Also:
  - Constant Field Values

### PORTABLE_PIXMAP

static final int PORTABLE_PIXMAP

See Also:
  - Constant Field Values

### UNIFORM_PALETTE_COLOR_QUANTIZATION_MENU_ITEM

static final int UNIFORM_PALETTE_COLOR_QUANTIZATION_MENU_ITEM

See Also:
  - Constant Field Values

### NUMBER_OF_BITS_RED

static final int NUMBER_OF_BITS_RED

See Also:
  - Constant Field Values

### NUMBER_OF_BITS_GREEN

static final int NUMBER_OF_BITS_GREEN

See Also:
  - Constant Field Values

### NUMBER_OF_BITS_BLUE

static final int NUMBER_OF_BITS_BLUE

See Also:
  - Constant Field Values

### ORDERED_DITHERING

static final int ORDERED_DITHERING

See Also:
  - Constant Field Values

### DITHERING_NONE

static final int DITHERING_NONE

See Also:
  - Constant Field Values

### DITHERING_METHOD

static final int DITHERING_METHOD

See Also:
  - Constant Field Values

### UNIFORM_PALETTE_COLOR_QUANTIZATION

static final int UNIFORM_PALETTE_COLOR_QUANTIZATION

See Also:
  - Constant Field Values

### SAVE_IMAGE_AS

static final int SAVE_IMAGE_AS

See Also:
  - Constant Field Values

### ERROR_NO_MORE_THAN_8_BITS

static final int ERROR_NO_MORE_THAN_8_BITS

See Also:
  - Constant Field Values

### TOTAL_NUMBER_OF_BITS_AND_COLORS

static final int TOTAL_NUMBER_OF_BITS_AND_COLORS

See Also:
  - Constant Field Values

### EDGE_DETECTION

static final int EDGE_DETECTION

See Also:
  - Constant Field Values

### REDUCE_NUMBER_OF_SHADES_OF_GRAY

static final int REDUCE_NUMBER_OF_SHADES_OF_GRAY

See Also:
  - Constant Field Values

### REDUCE_NUMBER_OF_SHADES_OF_GRAY_MENU_ITEM

static final int REDUCE_NUMBER_OF_SHADES_OF_GRAY_MENU_ITEM

See Also:
  - Constant Field Values

### NUMBER_OF_BITS

static final int NUMBER_OF_BITS

See Also:
  - Constant Field Values

### NUMBER_OF_SHADES_OF_GRAY

static final int NUMBER_OF_SHADES_OF_GRAY

See Also:
  - Constant Field Values

### SUN_RASTER

static final int SUN_RASTER

See Also:
  - Constant Field Values

### ADJUST

static final int ADJUST

See Also:
  - Constant Field Values

### CONTRAST_MENU_ITEM

static final int CONTRAST_MENU_ITEM

See Also:
  - Constant Field Values

### BRIGHTNESS_MENU_ITEM

static final int BRIGHTNESS_MENU_ITEM

See Also:
  - Constant Field Values

### GAMMA_MENU_ITEM

static final int GAMMA_MENU_ITEM

See Also:
  - Constant Field Values

### ADJUST_CONTRAST

static final int ADJUST_CONTRAST

See Also:
  - Constant Field Values

### ENTER_CONTRAST_VALUE

static final int ENTER_CONTRAST_VALUE

See Also:
  - Constant Field Values

### ADJUST_BRIGHTNESS

static final int ADJUST_BRIGHTNESS

See Also:
  - Constant Field Values

### ENTER_BRIGHTNESS_VALUE

static final int ENTER_BRIGHTNESS_VALUE

See Also:
  - Constant Field Values

### ADJUST_GAMMA

static final int ADJUST_GAMMA

See Also:
  - Constant Field Values

### ENTER_GAMMA_VALUE

static final int ENTER_GAMMA_VALUE

See Also:
  - Constant Field Values

### CROP_IMAGE

static final int CROP_IMAGE

See Also:
  - Constant Field Values

### LEFT_COLUMN

static final int LEFT_COLUMN

See Also:
  - Constant Field Values

### TOP_ROW

static final int TOP_ROW

See Also:
  - Constant Field Values

### RIGHT_COLUMN

static final int RIGHT_COLUMN

See Also:
  - Constant Field Values

### BOTTOM_ROW

static final int BOTTOM_ROW

See Also:
  - Constant Field Values

### CROP_MENU_ITEM

static final int CROP_MENU_ITEM

See Also:
  - Constant Field Values

### CONVERT_TO_MINIMUM_COLOR_TYPE_MENU_ITEM

static final int CONVERT_TO_MINIMUM_COLOR_TYPE_MENU_ITEM

See Also:
  - Constant Field Values

### HISTOGRAM

static final int HISTOGRAM

See Also:
  - Constant Field Values

### REDUCE_TO_BILEVEL_THRESHOLD

static final int REDUCE_TO_BILEVEL_THRESHOLD

See Also:
  - Constant Field Values

### ENTER_THRESHOLD_VALUE

static final int ENTER_THRESHOLD_VALUE

See Also:
  - Constant Field Values

### FLOYD_STEINBERG_ERROR_DIFFUSION

static final int FLOYD_STEINBERG_ERROR_DIFFUSION

See Also:
  - Constant Field Values

### STUCKI_ERROR_DIFFUSION

static final int STUCKI_ERROR_DIFFUSION

See Also:
  - Constant Field Values

### BURKES_ERROR_DIFFUSION

static final int BURKES_ERROR_DIFFUSION

See Also:
  - Constant Field Values

### SIERRA_ERROR_DIFFUSION

static final int SIERRA_ERROR_DIFFUSION

See Also:
  - Constant Field Values

### JARVIS_JUDICE_NINKE_ERROR_DIFFUSION

static final int JARVIS_JUDICE_NINKE_ERROR_DIFFUSION

See Also:
  - Constant Field Values

### STEVENSON_ARCE_ERROR_DIFFUSION

static final int STEVENSON_ARCE_ERROR_DIFFUSION

See Also:
  - Constant Field Values

### OUTPUT_QUALITY_IMPROVEMENT_ALGORITHM

static final int OUTPUT_QUALITY_IMPROVEMENT_ALGORITHM

See Also:
  - Constant Field Values

### ALGORITHMS_NONE

static final int ALGORITHMS_NONE

See Also:
  - Constant Field Values

### ERROR_DIFFUSION

static final int ERROR_DIFFUSION

See Also:
  - Constant Field Values

### COLOR_IMAGE_QUANTIZATION

static final int COLOR_IMAGE_QUANTIZATION

See Also:
  - Constant Field Values

### HORIZONTAL_SOBEL

static final int HORIZONTAL_SOBEL

See Also:
  - Constant Field Values

### VERTICAL_SOBEL

static final int VERTICAL_SOBEL

See Also:
  - Constant Field Values

### HORIZONTAL_PREWITT

static final int HORIZONTAL_PREWITT

See Also:
  - Constant Field Values

### VERTICAL_PREWITT

static final int VERTICAL_PREWITT

See Also:
  - Constant Field Values

### SHEAR_MENU_ITEM

static final int SHEAR_MENU_ITEM

See Also:
  - Constant Field Values

### SHEAR_IMAGE

static final int SHEAR_IMAGE

See Also:
  - Constant Field Values

### SHEAR_ENTER_ANGLE

static final int SHEAR_ENTER_ANGLE

See Also:
  - Constant Field Values

### HUE_SATURATION_VALUE_MENU_ITEM

static final int HUE_SATURATION_VALUE_MENU_ITEM

See Also:
  - Constant Field Values

### ADJUST_HUE_SATURATION_AND_VALUE

static final int ADJUST_HUE_SATURATION_AND_VALUE

See Also:
  - Constant Field Values

### SET_HUE

static final int SET_HUE

See Also:
  - Constant Field Values

### HUE

static final int HUE

See Also:
  - Constant Field Values

### SATURATION

static final int SATURATION

See Also:
  - Constant Field Values

### VALUE

static final int VALUE

See Also:
  - Constant Field Values

### MEAN_FILTER_MENU_ITEM

static final int MEAN_FILTER_MENU_ITEM

See Also:
  - Constant Field Values

### MEDIAN_FILTER_MENU_ITEM

static final int MEDIAN_FILTER_MENU_ITEM

See Also:
  - Constant Field Values

### OIL_FILTER_MENU_ITEM

static final int OIL_FILTER_MENU_ITEM

See Also:
  - Constant Field Values

### APPLY_MEAN_FILTER

static final int APPLY_MEAN_FILTER

See Also:
  - Constant Field Values

### APPLY_MEDIAN_FILTER

static final int APPLY_MEDIAN_FILTER

See Also:
  - Constant Field Values

### APPLY_OIL_FILTER

static final int APPLY_OIL_FILTER

See Also:
  - Constant Field Values

### WINDOW_WIDTH

static final int WINDOW_WIDTH

See Also:
  - Constant Field Values

### WINDOW_HEIGHT

static final int WINDOW_HEIGHT

See Also:
  - Constant Field Values

### ENTER_WINDOW_SIZE

static final int ENTER_WINDOW_SIZE

See Also:
  - Constant Field Values

### CONTOUR_REMOVAL_NUM_PASSES

static final int CONTOUR_REMOVAL_NUM_PASSES

See Also:
  - Constant Field Values

### CONTOUR_REMOVAL_TAU

static final int CONTOUR_REMOVAL_TAU

See Also:
  - Constant Field Values

### PALETTE_MENU_ITEM

static final int PALETTE_MENU_ITEM

See Also:
  - Constant Field Values

### PALETTE_SAVE_AS_MENU_ITEM

static final int PALETTE_SAVE_AS_MENU_ITEM

See Also:
  - Constant Field Values

### MAP_TO_ARBITRARY_PALETTE_MENU_ITEM

static final int MAP_TO_ARBITRARY_PALETTE_MENU_ITEM

See Also:
  - Constant Field Values

### SAVE_PALETTE

static final int SAVE_PALETTE

See Also:
  - Constant Field Values

### LOAD_PALETTE

static final int LOAD_PALETTE

See Also:
  - Constant Field Values

### CHOOSE_DITHERING_METHOD

static final int CHOOSE_DITHERING_METHOD

See Also:
  - Constant Field Values

### WEBSAFE_PALETTE

static final int WEBSAFE_PALETTE

See Also:
  - Constant Field Values

### PALETTE_FROM_FILE

static final int PALETTE_FROM_FILE

See Also:
  - Constant Field Values

### CHOOSE_PALETTE_TYPE

static final int CHOOSE_PALETTE_TYPE

See Also:
  - Constant Field Values

### MAP_TO_ARBITRARY_PALETTE

static final int MAP_TO_ARBITRARY_PALETTE

See Also:
  - Constant Field Values

### EQUALIZE_HISTOGRAM_MENU_ITEM

static final int EQUALIZE_HISTOGRAM_MENU_ITEM

See Also:
  - Constant Field Values

### NORMALIZE_HISTOGRAM_MENU_ITEM

static final int NORMALIZE_HISTOGRAM_MENU_ITEM

See Also:
  - Constant Field Values

### OCTREE_COLOR_QUANTIZATION_MENU_ITEM

static final int OCTREE_COLOR_QUANTIZATION_MENU_ITEM

See Also:
  - Constant Field Values

### OCTREE_COLOR_QUANTIZATION

static final int OCTREE_COLOR_QUANTIZATION

See Also:
  - Constant Field Values

### SAVE_COOCCURRENCE_MATRIX

static final int SAVE_COOCCURRENCE_MATRIX

See Also:
  - Constant Field Values

### SAVE_COOCCURRENCE_MATRIX_MENU_ITEM

static final int SAVE_COOCCURRENCE_MATRIX_MENU_ITEM

See Also:
  - Constant Field Values

### SAVE_COOCCURRENCE_FREQUENCY_MATRIX

static final int SAVE_COOCCURRENCE_FREQUENCY_MATRIX

See Also:
  - Constant Field Values

### SAVE_COOCCURRENCE_FREQUENCY_MATRIX_MENU_ITEM

static final int SAVE_COOCCURRENCE_FREQUENCY_MATRIX_MENU_ITEM

See Also:
  - Constant Field Values

### WINDOWS_BITMAP

static final int WINDOWS_BITMAP

See Also:
  - Constant Field Values

### PROMOTE

static final int PROMOTE

See Also:
  - Constant Field Values

### PROMOTE_TO_PALETTED

static final int PROMOTE_TO_PALETTED

See Also:
  - Constant Field Values

### PROMOTE_TO_GRAY8

static final int PROMOTE_TO_GRAY8

See Also:
  - Constant Field Values

### PROMOTE_TO_GRAY16

static final int PROMOTE_TO_GRAY16

See Also:
  - Constant Field Values

### PROMOTE_TO_RGB24

static final int PROMOTE_TO_RGB24

See Also:
  - Constant Field Values

### PROMOTE_TO_RGB48

static final int PROMOTE_TO_RGB48

See Also:
  - Constant Field Values

### REDUCE

static final int REDUCE

See Also:
  - Constant Field Values

### SAVE_HISTOGRAM_AS_MENU_ITEM

static final int SAVE_HISTOGRAM_AS_MENU_ITEM

See Also:
  - Constant Field Values

### SAVE_HISTOGRAM_AS

static final int SAVE_HISTOGRAM_AS

See Also:
  - Constant Field Values

### EDIT

static final int EDIT

See Also:
  - Constant Field Values

### EDIT_UNDO

static final int EDIT_UNDO

See Also:
  - Constant Field Values

### EDIT_REDO

static final int EDIT_REDO

See Also:
  - Constant Field Values

### TEXTURE_PROPERTIES_MENU_ITEM

static final int TEXTURE_PROPERTIES_MENU_ITEM

See Also:
  - Constant Field Values

### CONTRAST

static final int CONTRAST

See Also:
  - Constant Field Values

### ENERGY

static final int ENERGY

See Also:
  - Constant Field Values

### ENTROPY

static final int ENTROPY

See Also:
  - Constant Field Values

### HOMOGENEITY

static final int HOMOGENEITY

See Also:
  - Constant Field Values

### TEXTURE_PROPERTIES

static final int TEXTURE_PROPERTIES

See Also:
  - Constant Field Values

### CORRELATION

static final int CORRELATION

See Also:
  - Constant Field Values

### DISSIMILARITY

static final int DISSIMILARITY

See Also:
  - Constant Field Values

### MINIMUM_FILTER_MENU_ITEM

static final int MINIMUM_FILTER_MENU_ITEM

See Also:
  - Constant Field Values

### MAXIMUM_FILTER_MENU_ITEM

static final int MAXIMUM_FILTER_MENU_ITEM

See Also:
  - Constant Field Values

### APPLY_MINIMUM_FILTER

static final int APPLY_MINIMUM_FILTER

See Also:
  - Constant Field Values

### APPLY_MAXIMUM_FILTER

static final int APPLY_MAXIMUM_FILTER

See Also:
  - Constant Field Values

### VIEW

static final int VIEW

See Also:
  - Constant Field Values

### VIEW_ZOOMIN

static final int VIEW_ZOOMIN

See Also:
  - Constant Field Values

### VIEW_ZOOMOUT

static final int VIEW_ZOOMOUT

See Also:
  - Constant Field Values

### VIEW_SETORIGINALSIZE

static final int VIEW_SETORIGINALSIZE

See Also:
  - Constant Field Values

### VIEW_INTERPOLATIONTYPE

static final int VIEW_INTERPOLATIONTYPE

See Also:
  - Constant Field Values

### VIEW_INTERPOLATIONTYPE_NEARESTNEIGHBOR

static final int VIEW_INTERPOLATIONTYPE_NEARESTNEIGHBOR

See Also:
  - Constant Field Values

### VIEW_INTERPOLATIONTYPE_BILINEAR

static final int VIEW_INTERPOLATIONTYPE_BILINEAR

See Also:
  - Constant Field Values

### VIEW_INTERPOLATIONTYPE_BICUBIC

static final int VIEW_INTERPOLATIONTYPE_BICUBIC

See Also:
  - Constant Field Values

### PALM

static final int PALM

See Also:
  - Constant Field Values

### PALETTE_PALM_256_COLORS

static final int PALETTE_PALM_256_COLORS

See Also:
  - Constant Field Values

### PALETTE_PALM_16_COLORS

static final int PALETTE_PALM_16_COLORS

See Also:
  - Constant Field Values

### PALETTE_PALM_16_GRAY

static final int PALETTE_PALM_16_GRAY

See Also:
  - Constant Field Values

### PALETTE_PALM_4_GRAY

static final int PALETTE_PALM_4_GRAY

See Also:
  - Constant Field Values

### DO_YOU_REALLY_WANT_TO_QUIT_WITHOUT_SAVING

static final int DO_YOU_REALLY_WANT_TO_QUIT_WITHOUT_SAVING

See Also:
  - Constant Field Values

### QUIT_PROGRAM

static final int QUIT_PROGRAM

See Also:
  - Constant Field Values

### YES

static final int YES

See Also:
  - Constant Field Values

### NO

static final int NO

See Also:
  - Constant Field Values

### DO_YOU_REALLY_WANT_TO_CLOSE_WITHOUT_SAVING

static final int DO_YOU_REALLY_WANT_TO_CLOSE_WITHOUT_SAVING

See Also:
  - Constant Field Values

### CLOSE_FILE

static final int CLOSE_FILE

See Also:
  - Constant Field Values

### BITS_PER_PIXEL

static final int BITS_PER_PIXEL

See Also:
  - Constant Field Values

### BILEVEL

static final int BILEVEL

See Also:
  - Constant Field Values

### GRAYSCALE

static final int GRAYSCALE

See Also:
  - Constant Field Values

### RGB_TRUECOLOR

static final int RGB_TRUECOLOR

See Also:
  - Constant Field Values

### IMAGE_TYPE_UNKNOWN

static final int IMAGE_TYPE_UNKNOWN

See Also:
  - Constant Field Values

### IMAGE_TYPE

static final int IMAGE_TYPE

See Also:
  - Constant Field Values

### PALETTED

static final int PALETTED

See Also:
  - Constant Field Values

### PIXELS

static final int PIXELS

See Also:
  - Constant Field Values

### PORTABLE_NETWORK_GRAPHICS

static final int PORTABLE_NETWORK_GRAPHICS

See Also:
  - Constant Field Values

### MEMORY

static final int MEMORY

See Also:
  - Constant Field Values

### DISK_SPACE

static final int DISK_SPACE

See Also:
  - Constant Field Values

### GIF

static final int GIF

See Also:
  - Constant Field Values

### IMAGE_1

static final int IMAGE_1

See Also:
  - Constant Field Values